Type to search.

Update Deployment

Auth

Updates a Deployment.

Path parameters

deployment_id string required

Identifier for the Deployment

Query parameters

hide_pruned_orphans boolean · default: false

Whether or not to hide orphaned resources that were shut down (relevant if prune on the request is true)

skip_snapshot boolean · default: false

Whether or not to skip snapshots before shutting down orphaned resources (relevant if prune on the request is true)

validate_only boolean · default: false

If true, will just validate the Deployment definition but will not perform the update

version string

If specified then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)

Request body

The deployment definition

name string

A new name for the deployment, otherwise stays the same.

prune_orphans boolean required

Whether or not to prune orphan resources that are no longer mentioned in this request. Note that resourcesare tracked by ref_id, and if a resource's ref_id is changed, any previous running resources created with that previousref_id are considered to be orphaned as well.

alias string

A user-defined alias to use in place of Cluster IDs for user-friendly URLs

Responses

The request was valid and the deployment was updated.

application/json
id string required

The id of the deployment

name string required

The name of the deployment

alias string

A user-defined alias to use in place of ResourceIds for user-friendly resource URLs

resources object[] required

List of resources that are part of the deployment after the update operation.

ref_id string required

A locally-unique friendly alias for this Elasticsearch cluster

elasticsearch_cluster_ref_id string

The Elasticsearch cluster that this resource depends on.

id string required

A system-unique id for the created resource

kind string required

The kind of resource

region string required

Identifier of the region in which this resource runs.

cloud_id string

An encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana

secret_token string

Secret token for using a created resource. Only provided on initial create and absent otherwise.

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)